#
# spec file for package rubygem-amq-protocol
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-amq-protocol
Version:        1.9.2
Release:        6.2
%define mod_name amq-protocol
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Url:            http://github.com/ruby-amqp/amq-protocol
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        AMQP 0.9.1 encoder & decoder
License:        MIT
Group:          Development/Languages/Ruby

%description
amq-protocol is an AMQP 0.9.1 serialization library for Ruby. It is not an
AMQP client: amq-protocol only handles serialization and deserialization.
If you want to write your own AMQP client, this gem can help you with that.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/ChangeLog.md %buildroot/%{_docdir}/%{name}/ChangeLog.md
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/LICENSE %buildroot/%{_docdir}/%{name}/LICENSE
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/README.md %buildroot/%{_docdir}/%{name}/README.md

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Sat Dec 21 2013 coolo@suse.com
- updated to version 1.9.2
  [#]## Signed 16 Bit Integer Decoding
  Signed 16 bit integers are now decoded correctly.
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.9.0
  [#]## Performance Improvements in AMQ::BitSet
  `AMQ::BitSet#next_clear_bit` is now drastically more efficient
  (down from 6 minutes for 10,000 iterations to 4 seconds for 65,536 iterations).
  Contributed by Doug Rohrer, Dave Anderson, and Jason Voegele from
  [Neo](http://www.neo.com).
  [#]## Body Framing Fix
  Messages exactly 128 Kb in size are now framed correctly.
  Contributed by Nicolas Viennot.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 1.8.0
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.7.0
  `connection.blocked` AMQP 0.9.1 extension is now supported
  (should be available as of RabbitMQ 3.2).
* Tue Jul 30 2013 coolo@suse.com
- updated to version 1.6.0, no changelog found
* Thu May  9 2013 coolo@suse.com
- updated to version 1.5.0
  Encoding of large payloads is now done more efficiently.
* Fri Dec  7 2012 coolo@suse.com
- updated to version 1.0.1
  `amq-protocol` now makes sure `DateTime` is loaded before trying to use it.
* Fri Nov 30 2012 coolo@suse.com
- updated to version 1.0.0
* Mon Sep 24 2012 coolo@suse.com
- updated to version 0.9.5
* Sun Jul 29 2012 coolo@suse.com
- initial package
